Bug 495740 - enabling virt_platform, ise after rhn_check
enabling virt_platform, ise after rhn_check
Status: CLOSED DUPLICATE of bug 496151
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Devan Goodwin
wes hayutin
http://grandprix.rhndev.redhat.com/ne...
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-04-14 11:02 EDT by wes hayutin
Modified: 2009-08-27 05:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 13:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spacewalk-debug (6.36 MB, application/octet-stream)
2009-04-14 11:02 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-04-14 11:02:38 EDT
Created attachment 339512 [details]
spacewalk-debug

Description of problem:

4/13 build rhel 5
1.register rlx rhel 5 box.
2. enable provisioning, virt-platform
3. rhn_check on client

This action will be executed after 04/14/09 10:50:38 AM EDT.

This action's status is: Failed.
The client picked up this action on 04/14/09 10:50:43 AM EDT.
The client completed this action on 04/14/09 10:51:18 AM EDT.
Client execution returned "Error while executing packages action: Error Downloading Packages: libvirt-0.3.3-14.el5_3.1.i386: failed to retrieve getPackage/libvirt-0.3.3-14.el5_3.1.i386.rpm from rhel-i386-server-vt-5 error was [Errno 14] HTTP Error 500: Internal Server Error [[6]]" (code -1)
Packages Scheduled:

    * rhn-virtualization-host-1.0.1-55
Comment 1 wes hayutin 2009-04-14 11:03:12 EDT
I was able to install these packages w/ yum
Resolving Dependencies
--> Running transaction check
---> Package libvirt.i386 0:0.3.3-14.el5_3.1 set to be updated
--> Processing Dependency: bridge-utils for package: libvirt
--> Processing Dependency: libxenstore.so.3.0 for package: libvirt
--> Running transaction check
---> Package bridge-utils.i386 0:1.1-2 set to be updated
---> Package xen-libs.i386 0:3.0.3-80.el5_3.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================
 Package                                         Arch                                    Version                                                Repository                                                Size
===============================================================================================================================================================================================================
Installing:
 libvirt                                         i386                                    0.3.3-14.el5_3.1                                       rhel-i386-server-vt-5                                    926 k
Installing for dependencies:
 bridge-utils                                    i386                                    1.1-2                                                  rhel-i386-server-5                                        28 k
 xen-libs                                        i386                                    3.0.3-80.el5_3.2                                       rhel-i386-server-5                                       144 k

Transaction Summary
===============================================================================================================================================================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 1.1 M
Total download size: 926 k
Is this ok [y/N]: y
Downloading Packages:
libvirt-0.3.3-14.el5_3.1.i386.rpm                                                                                                                                                       | 926 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : xen-libs                                          [1/3] 
  Installing     : bridge-utils                                      [2/3] 
  Installing     : libvirt                                           [3/3]
Comment 2 wes hayutin 2009-04-14 11:05:11 EDT
second attempt..  yum remove the three packages...
re-enable provisioning, and virt platform...
rhn_check

[root@rlx-3-06 ~]# rhn_check -vvv
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0
D: do_call packages.checkNeedUpdate ('rhnsd=1',)
D: Called refresh_rpmlist
Updating package profile
D: local action status:  (0, 'rpmlist refreshed', {})
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: May free Score board((nil))
[root@rlx-3-06 ~]# rhn_check -vvv
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0
D: check_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>packages.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><array><data>\n<value><string>rhn-virtualization-host</string></value>\n<value><string>1.0.1</string></value>\n<value><string>55</string></value>\n<value><string></string></value>\n<value><string>noarch</string></value>\n</data></array></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 664}
updateLoginInfo() login info
D: login(forceUpdate=True) invoked
logging into up2date server
A protocol error occurred: Internal Server Error , attempt #1,
D: writeCachedLogin() invoked
D: Wrote pickled loginInfo at  1239735696.56  with expiration of  1239739296.56  seconds.
successfully retrieved authentication token from up2date server
D: logininfo: {'X-RHN-Server-Id': 1000010420, 'X-RHN-Auth-Server-Time': '1239721433.24', 'X-RHN-Auth': 'EVDwkr07pf/zjYLO64esIg==', 'X-RHN-Auth-Channels': [['rhel-i386-server-5', '20090414015616', '1', '1'], ['rhel-i386-server-vt-5', '20090414104849', '0', '1'], ['rhn-tools-rhel-i386-server-5', '20090414015741', '0', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}
D: handle_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>packages.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><array><data>\n<value><string>rhn-virtualization-host</string></value>\n<value><string>1.0.1</string></value>\n<value><string>55</string></value>\n<value><string></string></value>\n<value><string>noarch</string></value>\n</data></array></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 664}
D: handle_action actionid = 664, version = 2
D: do_call packages.update ([['rhn-virtualization-host', '1.0.1', '55', '', 'noarch']],)
D: Called update [['rhn-virtualization-host', '1.0.1', '55', '', 'noarch']]
Loaded plugins: rhnplugin
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: May free Score board((nil))
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D:  read h#       2 Header sanity check: OK
D:  read h#       4 Header sanity check: OK
D:  read h#       6 Header sanity check: OK
D:  read h#       8 Header sanity check: OK
D:  read h#      10 Header sanity check: OK
D:  read h#      12 Header sanity check: OK
D:  read h#      14 Header sanity check: OK
D:  read h#      16 Header sanity check: OK
D:  read h#      18 Header sanity check: OK
D:  read h#      20 Header sanity check: OK
D:  read h#      22 Header sanity check: OK
D:  read h#      24 Header sanity check: OK
D:  read h#      26 Header sanity check: OK
D:  read h#      28 Header sanity check: OK
D:  read h#      30 Header sanity check: OK
D:  read h#      32 Header sanity check: OK
D:  read h#      34 Header sanity check: OK
D:  read h#      36 Header sanity check: OK
D:  read h#      38 Header sanity check: OK
D:  read h#      40 Header sanity check: OK
D:  read h#      42 Header sanity check: OK
D:  read h#      44 Header sanity check: OK
D:  read h#      46 Header sanity check: OK
D:  read h#      48 Header sanity check: OK
D:  read h#      50 Header sanity check: OK
D:  read h#      52 Header sanity check: OK
D:  read h#      54 Header sanity check: OK
D:  read h#      56 Header sanity check: OK
D:  read h#      58 Header sanity check: OK
D:  read h#      60 Header sanity check: OK
D:  read h#      62 Header sanity check: OK
D:  read h#      64 Header sanity check: OK
D:  read h#      66 Header sanity check: OK
D:  read h#      68 Header sanity check: OK
D:  read h#      70 Header sanity check: OK
D:  read h#      72 Header sanity check: OK
D:  read h#      74 Header sanity check: OK
D:  read h#      76 Header sanity check: OK
D:  read h#      78 Header sanity check: OK
D:  read h#      80 Header sanity check: OK
D:  read h#      82 Header sanity check: OK
D:  read h#      84 Header sanity check: OK
D:  read h#      86 Header sanity check: OK
D:  read h#      88 Header sanity check: OK
D:  read h#      90 Header sanity check: OK
D:  read h#      92 Header sanity check: OK
D:  read h#      94 Header sanity check: OK
D:  read h#      96 Header sanity check: OK
D:  read h#      98 Header sanity check: OK
D:  read h#     100 Header sanity check: OK
D:  read h#     102 Header sanity check: OK
D:  read h#     104 Header sanity check: OK
D:  read h#     106 Header sanity check: OK
D:  read h#     108 Header sanity check: OK
D:  read h#     110 Header sanity check: OK
D:  read h#     112 Header sanity check: OK
D:  read h#     114 Header sanity check: OK
D:  read h#     116 Header sanity check: OK
D:  read h#     118 Header sanity check: OK
D:  read h#     120 Header sanity check: OK
D:  read h#     122 Header sanity check: OK
D:  read h#     124 Header sanity check: OK
D:  read h#     126 Header sanity check: OK
D:  read h#     128 Header sanity check: OK
D:  read h#     130 Header sanity check: OK
D:  read h#     132 Header sanity check: OK
D:  read h#     134 Header sanity check: OK
D:  read h#     136 Header sanity check: OK
D:  read h#     138 Header sanity check: OK
D:  read h#     140 Header sanity check: OK
D:  read h#     142 Header sanity check: OK
D:  read h#     144 Header sanity check: OK
D:  read h#     146 Header sanity check: OK
D:  read h#     148 Header sanity check: OK
D:  read h#     150 Header sanity check: OK
D:  read h#     152 Header sanity check: OK
D:  read h#     154 Header sanity check: OK
D:  read h#     156 Header sanity check: OK
D:  read h#     158 Header sanity check: OK
D:  read h#     160 Header sanity check: OK
D:  read h#     162 Header sanity check: OK
D:  read h#     164 Header sanity check: OK
D:  read h#     166 Header sanity check: OK
D:  read h#     168 Header sanity check: OK
D:  read h#     170 Header sanity check: OK
D:  read h#     172 Header sanity check: OK
D:  read h#     174 Header sanity check: OK
D:  read h#     176 Header sanity check: OK
D:  read h#     178 Header sanity check: OK
D:  read h#     180 Header sanity check: OK
D:  read h#     182 Header sanity check: OK
D:  read h#     184 Header sanity check: OK
D:  read h#     186 Header sanity check: OK
D:  read h#     188 Header sanity check: OK
D:  read h#     190 Header sanity check: OK
D:  read h#     192 Header sanity check: OK
D:  read h#     194 Header sanity check: OK
D:  read h#     196 Header sanity check: OK
D:  read h#     198 Header sanity check: OK
D:  read h#     200 Header sanity check: OK
D:  read h#     202 Header sanity check: OK
D:  read h#     204 Header sanity check: OK
D:  read h#     206 Header sanity check: OK
D:  read h#     208 Header sanity check: OK
D:  read h#     210 Header sanity check: OK
D:  read h#     212 Header sanity check: OK
D:  read h#     214 Header sanity check: OK
D:  read h#     216 Header sanity check: OK
D:  read h#     218 Header sanity check: OK
D:  read h#     220 Header sanity check: OK
D:  read h#     222 Header sanity check: OK
D:  read h#     224 Header sanity check: OK
D:  read h#     226 Header sanity check: OK
D:  read h#     228 Header sanity check: OK
D:  read h#     230 Header sanity check: OK
D:  read h#     232 Header sanity check: OK
D:  read h#     234 Header sanity check: OK
D:  read h#     236 Header sanity check: OK
D:  read h#     238 Header sanity check: OK
D:  read h#     240 Header sanity check: OK
D:  read h#     242 Header sanity check: OK
D:  read h#     244 Header sanity check: OK
D:  read h#     246 Header sanity check: OK
D:  read h#     248 Header sanity check: OK
D:  read h#     250 Header sanity check: OK
D:  read h#     252 Header sanity check: OK
D:  read h#     254 Header sanity check: OK
D:  read h#     257 Header sanity check: OK
D:  read h#     259 Header sanity check: OK
D:  read h#     261 Header sanity check: OK
D:  read h#     263 Header sanity check: OK
D:  read h#     265 Header sanity check: OK
D:  read h#     267 Header sanity check: OK
D:  read h#     269 Header sanity check: OK
D:  read h#     271 Header sanity check: OK
D:  read h#     273 Header sanity check: OK
D:  read h#     275 Header sanity check: OK
D:  read h#     277 Header sanity check: OK
D:  read h#     279 Header sanity check: OK
D:  read h#     281 Header sanity check: OK
D:  read h#     283 Header sanity check: OK
D:  read h#     285 Header sanity check: OK
D:  read h#     287 Header sanity check: OK
D:  read h#     289 Header sanity check: OK
D:  read h#     291 Header sanity check: OK
D:  read h#     293 Header sanity check: OK
D:  read h#     295 Header sanity check: OK
D:  read h#     297 Header sanity check: OK
D:  read h#     299 Header sanity check: OK
D:  read h#     301 Header sanity check: OK
D:  read h#     303 Header sanity check: OK
D:  read h#     305 Header sanity check: OK
D:  read h#     307 Header sanity check: OK
D:  read h#     309 Header sanity check: OK
D:  read h#     311 Header sanity check: OK
D:  read h#     313 Header sanity check: OK
D:  read h#     315 Header sanity check: OK
D:  read h#     317 Header sanity check: OK
D:  read h#     319 Header sanity check: OK
D:  read h#     321 Header sanity check: OK
D:  read h#     323 Header sanity check: OK
D:  read h#     325 Header sanity check: OK
D:  read h#     327 Header sanity check: OK
D:  read h#     329 Header sanity check: OK
D:  read h#     331 Header sanity check: OK
D:  read h#     333 Header sanity check: OK
D:  read h#     335 Header sanity check: OK
D:  read h#     337 Header sanity check: OK
D:  read h#     339 Header sanity check: OK
D:  read h#     341 Header sanity check: OK
D:  read h#     343 Header sanity check: OK
D:  read h#     345 Header sanity check: OK
D:  read h#     347 Header sanity check: OK
D:  read h#     349 Header sanity check: OK
D:  read h#     351 Header sanity check: OK
D:  read h#     353 Header sanity check: OK
D:  read h#     355 Header sanity check: OK
D:  read h#     357 Header sanity check: OK
D:  read h#     359 Header sanity check: OK
D:  read h#     361 Header sanity check: OK
D:  read h#     363 Header sanity check: OK
D:  read h#     365 Header sanity check: OK
D:  read h#     367 Header sanity check: OK
D:  read h#     369 Header sanity check: OK
D:  read h#     371 Header sanity check: OK
D:  read h#     373 Header sanity check: OK
D:  read h#     375 Header sanity check: OK
D:  read h#     377 Header sanity check: OK
D:  read h#     379 Header sanity check: OK
D:  read h#       1 Header sanity check: OK
D:  read h#       3 Header sanity check: OK
D:  read h#       5 Header sanity check: OK
D:  read h#       7 Header sanity check: OK
D:  read h#       9 Header sanity check: OK
D:  read h#      11 Header sanity check: OK
D:  read h#      13 Header sanity check: OK
D:  read h#      15 Header sanity check: OK
D:  read h#      17 Header sanity check: OK
D:  read h#      19 Header sanity check: OK
D:  read h#      21 Header sanity check: OK
D:  read h#      23 Header sanity check: OK
D:  read h#      25 Header sanity check: OK
D:  read h#      27 Header sanity check: OK
D:  read h#      29 Header sanity check: OK
D:  read h#      31 Header sanity check: OK
D:  read h#      33 Header sanity check: OK
D:  read h#      35 Header sanity check: OK
D:  read h#      37 Header sanity check: OK
D:  read h#      39 Header sanity check: OK
D:  read h#      41 Header sanity check: OK
D:  read h#      43 Header sanity check: OK
D:  read h#      45 Header sanity check: OK
D:  read h#      47 Header sanity check: OK
D:  read h#      49 Header sanity check: OK
D:  read h#      51 Header sanity check: OK
D:  read h#      53 Header sanity check: OK
D:  read h#      55 Header sanity check: OK
D:  read h#      57 Header sanity check: OK
D:  read h#      59 Header sanity check: OK
D:  read h#      61 Header sanity check: OK
D:  read h#      63 Header sanity check: OK
D:  read h#      65 Header sanity check: OK
D:  read h#      67 Header sanity check: OK
D:  read h#      69 Header sanity check: OK
D:  read h#      71 Header sanity check: OK
D:  read h#      73 Header sanity check: OK
D:  read h#      75 Header sanity check: OK
D:  read h#      77 Header sanity check: OK
D:  read h#      79 Header sanity check: OK
D:  read h#      81 Header sanity check: OK
D:  read h#      83 Header sanity check: OK
D:  read h#      85 Header sanity check: OK
D:  read h#      87 Header sanity check: OK
D:  read h#      89 Header sanity check: OK
D:  read h#      91 Header sanity check: OK
D:  read h#      93 Header sanity check: OK
D:  read h#      95 Header sanity check: OK
D:  read h#      97 Header sanity check: OK
D:  read h#      99 Header sanity check: OK
D:  read h#     101 Header sanity check: OK
D:  read h#     103 Header sanity check: OK
D:  read h#     105 Header sanity check: OK
D:  read h#     107 Header sanity check: OK
D:  read h#     109 Header sanity check: OK
D:  read h#     111 Header sanity check: OK
D:  read h#     113 Header sanity check: OK
D:  read h#     115 Header sanity check: OK
D:  read h#     117 Header sanity check: OK
D:  read h#     119 Header sanity check: OK
D:  read h#     121 Header sanity check: OK
D:  read h#     123 Header sanity check: OK
D:  read h#     125 Header sanity check: OK
D:  read h#     127 Header sanity check: OK
D:  read h#     129 Header sanity check: OK
D:  read h#     131 Header sanity check: OK
D:  read h#     133 Header sanity check: OK
D:  read h#     135 Header sanity check: OK
D:  read h#     137 Header sanity check: OK
D:  read h#     139 Header sanity check: OK
D:  read h#     141 Header sanity check: OK
D:  read h#     143 Header sanity check: OK
D:  read h#     145 Header sanity check: OK
D:  read h#     147 Header sanity check: OK
D:  read h#     149 Header sanity check: OK
D:  read h#     151 Header sanity check: OK
D:  read h#     153 Header sanity check: OK
D:  read h#     155 Header sanity check: OK
D:  read h#     157 Header sanity check: OK
D:  read h#     159 Header sanity check: OK
D:  read h#     161 Header sanity check: OK
D:  read h#     163 Header sanity check: OK
D:  read h#     165 Header sanity check: OK
D:  read h#     167 Header sanity check: OK
D:  read h#     169 Header sanity check: OK
D:  read h#     171 Header sanity check: OK
D:  read h#     173 Header sanity check: OK
D:  read h#     175 Header sanity check: OK
D:  read h#     177 Header sanity check: OK
D:  read h#     179 Header sanity check: OK
D:  read h#     181 Header sanity check: OK
D:  read h#     183 Header sanity check: OK
D:  read h#     185 Header sanity check: OK
D:  read h#     187 Header sanity check: OK
D:  read h#     189 Header sanity check: OK
D:  read h#     191 Header sanity check: OK
D:  read h#     193 Header sanity check: OK
D:  read h#     195 Header sanity check: OK
D:  read h#     197 Header sanity check: OK
D:  read h#     199 Header sanity check: OK
D:  read h#     201 Header sanity check: OK
D:  read h#     203 Header sanity check: OK
D:  read h#     205 Header sanity check: OK
D:  read h#     207 Header sanity check: OK
D:  read h#     209 Header sanity check: OK
D:  read h#     211 Header sanity check: OK
D:  read h#     213 Header sanity check: OK
D:  read h#     215 Header sanity check: OK
D:  read h#     217 Header sanity check: OK
D:  read h#     219 Header sanity check: OK
D:  read h#     221 Header sanity check: OK
D:  read h#     223 Header sanity check: OK
D:  read h#     225 Header sanity check: OK
D:  read h#     227 Header sanity check: OK
D:  read h#     229 Header sanity check: OK
D:  read h#     231 Header sanity check: OK
D:  read h#     233 Header sanity check: OK
D:  read h#     235 Header sanity check: OK
D:  read h#     237 Header sanity check: OK
D:  read h#     239 Header sanity check: OK
D:  read h#     241 Header sanity check: OK
D:  read h#     243 Header sanity check: OK
D:  read h#     245 Header sanity check: OK
D:  read h#     247 Header sanity check: OK
D:  read h#     249 Header sanity check: OK
D:  read h#     251 Header sanity check: OK
D:  read h#     253 Header sanity check: OK
D:  read h#     255 Header sanity check: OK
D:  read h#     256 Header sanity check: OK
D:  read h#     258 Header sanity check: OK
D:  read h#     260 Header sanity check: OK
D:  read h#     262 Header sanity check: OK
D:  read h#     264 Header sanity check: OK
D:  read h#     266 Header sanity check: OK
D:  read h#     268 Header sanity check: OK
D:  read h#     270 Header sanity check: OK
D:  read h#     272 Header sanity check: OK
D:  read h#     274 Header sanity check: OK
D:  read h#     276 Header sanity check: OK
D:  read h#     278 Header sanity check: OK
D:  read h#     280 Header sanity check: OK
D:  read h#     282 Header sanity check: OK
D:  read h#     284 Header sanity check: OK
D:  read h#     286 Header sanity check: OK
D:  read h#     288 Header sanity check: OK
D:  read h#     290 Header sanity check: OK
D:  read h#     292 Header sanity check: OK
D:  read h#     294 Header sanity check: OK
D:  read h#     296 Header sanity check: OK
D:  read h#     298 Header sanity check: OK
D:  read h#     300 Header sanity check: OK
D:  read h#     302 Header sanity check: OK
D:  read h#     304 Header sanity check: OK
D:  read h#     306 Header sanity check: OK
D:  read h#     308 Header sanity check: OK
D:  read h#     310 Header sanity check: OK
D:  read h#     312 Header sanity check: OK
D:  read h#     314 Header sanity check: OK
D:  read h#     316 Header sanity check: OK
D:  read h#     318 Header sanity check: OK
D:  read h#     320 Header sanity check: OK
D:  read h#     322 Header sanity check: OK
D:  read h#     324 Header sanity check: OK
D:  read h#     326 Header sanity check: OK
D:  read h#     328 Header sanity check: OK
D:  read h#     330 Header sanity check: OK
D:  read h#     332 Header sanity check: OK
D:  read h#     334 Header sanity check: OK
D:  read h#     336 Header sanity check: OK
D:  read h#     338 Header sanity check: OK
D:  read h#     340 Header sanity check: OK
D:  read h#     342 Header sanity check: OK
D:  read h#     344 Header sanity check: OK
D:  read h#     346 Header sanity check: OK
D:  read h#     348 Header sanity check: OK
D:  read h#     350 Header sanity check: OK
D:  read h#     352 Header sanity check: OK
D:  read h#     354 Header sanity check: OK
D:  read h#     356 Header sanity check: OK
D:  read h#     358 Header sanity check: OK
D:  read h#     360 Header sanity check: OK
D:  read h#     362 Header sanity check: OK
D:  read h#     364 Header sanity check: OK
D:  read h#     366 Header sanity check: OK
D:  read h#     368 Header sanity check: OK
D:  read h#     370 Header sanity check: OK
D:  read h#     372 Header sanity check: OK
D:  read h#     374 Header sanity check: OK
D:  read h#     376 Header sanity check: OK
D:  read h#     378 Header sanity check: OK
D: opening  db index       /var/lib/rpm/Name rdonly mode=0x0
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0
D: opening  db index       /var/lib/rpm/Basenames rdonly mode=0x0
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Basenames
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: May free Score board((nil))
D: Downloading Packages:
D: Expected size:        11510 = lead(96)+sigs(344)+pad(0)+data(11070)
D:   Actual size:        11510
D: Expected size:        39335 = lead(96)+sigs(344)+pad(0)+data(38895)
D:   Actual size:        39335
D: Expected size:        77330 = lead(96)+sigs(344)+pad(0)+data(76890)
D:   Actual size:        77330
D: Expected size:        28368 = lead(96)+sigs(344)+pad(0)+data(27928)
D:   Actual size:        28368
D: Expected size:       948278 = lead(96)+sigs(344)+pad(0)+data(947838)
D:   Actual size:       948278
D: May free Score board((nil))
D: May free Score board((nil))
D: Sending back response ((6,), 'Error while executing packages action: Error Downloading Packages:\n  xen-libs-3.0.3-80.el5_3.2.i386: failed to retrieve getPackage/xen-libs-3.0.3-80.el5_3.2.i386.rpm from rhel-i386-server-5\nerror was [Errno 14] HTTP Error 500: Internal Server Error\n', {})
D: do_call packages.checkNeedUpdate ('rhnsd=1',)
D: local action status:  (0, 'rpm database not modified since last update (or package list recently updated)', {})
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: May free Score board((nil))
[root@rlx-3-06 ~]#
Comment 3 wes hayutin 2009-04-14 11:06:15 EDT
see attached spacewalk-debug info
Comment 4 Devan Goodwin 2009-04-14 13:45:24 EDT
So we tried re-registering the client Wes used in his test to the satellite again, the problem doesn't occur any longer.

There is a clear error in httpd log about a missing Python module but I'm told this is not the real problem, and the actual exception is getting swallowed leaving us with not enough information in the logs, and now no reproducer. We've got to put it on hold until we see it surface again, bump debug = 5 in rhn.conf, and re-run the rhn_check.
Comment 5 Devan Goodwin 2009-04-14 13:51:58 EDT
The error that was appearing in error_log:

[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonHeaderParserHandler server.apacheServer::HeaderParserHandler: Traceback (most recent call last):
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonHeaderParserHandler server.apacheServer::HeaderParserHandler:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 287, in HandlerDispatch\n    log=debug)
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonHeaderParserHandler server.apacheServer::HeaderParserHandler:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 461, in import_module\n    f, p, d = imp.find_module(parts[i], path)
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonHeaderParserHandler server.apacheServer::HeaderParserHandler: ImportError: No module named apacheServer
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonLogHandler server.apacheServer::LogHandler: Traceback (most recent call last):
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonLogHandler server.apacheServer::LogHandler:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 287, in HandlerDispatch\n    log=debug)
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonLogHandler server.apacheServer::LogHandler:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 461, in import_module\n    f, p, d = imp.find_module(parts[i], path)
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonLogHandler server.apacheServer::LogHandler: ImportError: No module named apacheServer
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonCleanupHandler server.apacheServer::CleanupHandler: Traceback (most recent call last):
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonCleanupHandler server.apacheServer::CleanupHandler:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 287, in HandlerDispatch\n    log=debug)
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonCleanupHandler server.apacheServer::CleanupHandler:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 461, in import_module\n    f, p, d = imp.find_module(parts[i], path)
[Tue Apr 14 10:51:18 2009] [error] [client 10.10.76.177] PythonCleanupHandler server.apacheServer::CleanupHandler: ImportError: No module named apacheServer
Comment 6 Devan Goodwin 2009-04-15 18:06:43 EDT
Seen this many times today in a shared satellite's logs. Logging is bumped but no extra information on an exception appears. Problem seems to disappear as quickly as it appears.
Comment 7 Devan Goodwin 2009-04-20 13:52:49 EDT

*** This bug has been marked as a duplicate of bug 496151 ***

Note You need to log in before you can comment on or make changes to this bug.